Skip to main content

GET /v1/toutiao/app/get_comments

Get comments of specified post

stable · 2 credits per success

Get comments of specified post;group_id: Post ID, can be obtained from the link;- For example: https://www.toutiao.com/i7453372680222523931/;offset: Offset, used for pagination, default is 0, then add 20 each time;Comment list

Sign up for 500 credits and run with your own API key. Sign up free

Request

curl
curl -s 'https://api.wellbyte.net/v1/toutiao/app/get_comments?offset=0&group_id=7453372680222523931' \
  -H "Authorization: Bearer dg_live_…"

Response

Sample captured 2026-09-23

data{
code:0
data{
data[ 2 items ]
group{ 8 items }
err_no:0
exempt:false
offset:20
prompt:null
stable:true
message:"success"
ban_face:false
has_more:true
recovery:""
tab_info{ 2 items }
extensions:null
guide_info:null
post_count:0
ban_comment:false
bottom_tips:null
placeholder:""
stick_toast:1
total_number:1081
media_comment:null
repost_params{ 9 items }
stable_reason:""
show_add_forum:1
stick_comments[ 0 items ]
stick_has_more:false
ban_gif_suggest:0
ban_pic_comment:0
go_topic_detail:1
recovery_reason:"unexpect_empty_false"
comment_activity:null
ban_audio_comment:true
ban_comment_toast:""
detail_no_comment:0
forum_show_result:"other_fail"
at_user_guide_info:null
ban_comment_reason:"写评论"
enter_comment_info{ 2 items }
fold_comment_count:0
stick_total_number:0
super_digg_control:null
media_comment_enable:false
comment_share_enabled:false
next_comment_since_ts:1787677302
media_comment_has_more:false
comment_classify_detail:null
media_comment_total_num:0
}
meta{
endpoint:"toutiao.app.get_comments"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

No calls yet. Get one green run first, then switch to your own data.

    Request parameters

    NameTypeInRequiredDescriptionExample
    offsetstringqueryyes偏移量0
    group_idstringqueryyes作品ID7453372680222523931

    Response fields

    Field dictionary coming soon — the executable panel shows the live shape.

    Errors

    codeHTTPMeaningBilled
    40001400Invalid parametersno
    40102401Invalid or revoked API Keyno
    40201402Insufficient creditsno
    40402404Resource not foundno
    42201422Quality gate failedno
    42901429Rate limit exceededno
    50401504Upstream timeoutno
    50201502Upstream errorno

    Billing

    Success costs 2 credits. Any failure — including a 200 that fails the quality gate — costs 0.

    All Toutiao endpoints →

    Search

    Search endpoints and docs